Bug 268711 - Code completion does not insert specialized types
Code completion does not insert specialized types
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Completion
Dev
PC Solaris
: P2 (vote)
: 8.2
Assigned To: Alexander Simon
issues@cnd
82patch1-verified
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-27 12:28 UTC by Alexander Simon
Modified: 2016-12-08 09:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2016-10-27 12:28:00 UTC
Steps to reproduce:
- type "std::atomic"
- invoke code completion
Completion list contains a lot of specialized types
- select "atomic<bool>" in completion list
IDE inserts "atimic<>".
Expected "atomic<bool>".

It is a regression. See bug #223934
Comment 1 Alexander Simon 2016-10-27 12:31:35 UTC
It seems regression was introduced while fixing bug #268487
Comment 2 Vladimir Kvashin 2016-10-27 21:29:51 UTC
I think we should just not list specializations in the completion list.
I think this issue should be fixed via not listing specializations in the completion list.
Comment 3 Alexander Simon 2016-10-28 09:01:42 UTC
(In reply to Vladimir Kvashin from comment #2)
> I think we should just not list specializations in the completion list.
> I think this issue should be fixed via not listing specializations in the
> completion list.
Why?
IMHO it is a valuable feature to insert specialized template.
In my example in most cases user want to inset exactly listed specialization of atomic (i.e. atomic<bool> or atomic<int>). Why user need to type "bool" or "int"?
Comment 4 Vladimir Voskresensky 2016-11-03 15:26:19 UTC
I agree. Full specializations worth to insert with specialized params to eleminate extra typing
Comment 5 Alexander Simon 2016-11-30 13:23:09 UTC
fixed in enum, branch release82, change set 87a170f4fd7f
Comment 6 Quality Engineering 2016-12-03 03:02:43 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/82fa89004242
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed Bug #268711 Code completion does not insert specialized types
(transplanted from 87a170f4fd7f9e5f5483d03b3f9346a1184adc88)
Comment 7 soldatov 2016-12-08 09:47:16 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo